Bug 511187 - kernel: build with -fno-delete-null-pointer-checks [mrg-1]
kernel: build with -fno-delete-null-pointer-checks [mrg-1]
Status: CLOSED ERRATA
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
Development
All Linux
urgent Severity high
: 1.1.8
: ---
Assigned To: Luis Claudio R. Goncalves
David Sommerseth
:
Depends On: 511181
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-14 00:40 EDT by Eugene Teo (Security Response)
Modified: 2016-05-22 19:28 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 511181
Environment:
Last Closed: 2009-09-01 03:38:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2009-07-14 00:40:42 EDT
+++ This bug was initially created as a clone of Bug #511181 +++

Description of problem:
http://gcc.gnu.org/onlinedocs/gcc-4.1.2/gcc/Optimize-Options.html

-fdelete-null-pointer-checks
    Use global dataflow analysis to identify and eliminate useless checks for null pointers. The compiler assumes that dereferencing a null pointer would have halted the program. If a pointer is checked after it has already been dereferenced, it cannot be null.

    In some environments, this assumption is not true, and programs can safely dereference null pointers. Use -fno-delete-null-pointer-checks to disable this optimization for programs which depend on that behavior.

    Enabled at levels -O2, -O3, -Os.
Comment 2 Eugene Teo (Security Response) 2009-07-16 20:23:36 EDT
Upstream commit:
http://git.kernel.org/linus/a3ca86aea507904148870946d599e07a340b39bf
Comment 3 Luis Claudio R. Goncalves 2009-08-20 16:56:57 EDT
Patch added to kernel -130
Comment 4 David Sommerseth 2009-08-26 13:01:00 EDT
Verified by code review.  Found upstream commit a3ca86aea507904148870946d599e07a340b39bf as mrg-rt.git commit ee25b4c4be4adad44a837c16ef7680d0b970b353 implemented as add_-fno-delete-null-pointer-checks_to_CFLAGS.patch in the kernel-rt-2.6.24.7-132 source RPM.
Comment 6 errata-xmlrpc 2009-09-01 03:38:52 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1239.html

Note You need to log in before you can comment on or make changes to this bug.